<?php
/**
 * @author integritty <ict@integritty.cz>
 * @copyright 2022 the integritty s.r.o
 * @license Komerční licence; Licenční podmínky: https://www.integritty.cz/external/prestashop/licencni_podminky_integritty.pdf
 * @category PrestaShop Module
 * E-mail: chci@integritty.cz
 * Websites: www.integritty.cz
 */
if (Tools::getValue('token') !== 'a05w8XJ9kodQJAp7Q9Pn') {
    exit;
}

class SmartForm16TrackSmartFormModuleFrontController extends ModuleFrontController
{
    public function display()
    {
        parent::initContent();
        $allowedCountries = null;
        $countryArray = [Configuration::get(SmartForm16::SMARTFORM_COUNTRIES_CZ), Configuration::get(SmartForm16::SMARTFORM_COUNTRIES_SK)];

        foreach ($countryArray as $country) {
            if ($country) {
                $countryObject = new Country($country);
                $allowedCountries[] = $countryObject->iso_code;
            }
        }

        $allowedCountries = json_encode($allowedCountries);
        echo json_encode([
            SmartForm16::SMARTFORM_ADDRESS => Configuration::get(SmartForm16::SMARTFORM_ADDRESS),
            SmartForm16::SMARTFORM_VALIDATION => Configuration::get(SmartForm16::SMARTFORM_VALIDATION),
            'smartform_countries' => $allowedCountries,
        ]);

        return true;
    }
}
